osl::rating::FromEffectGroup Struct Reference

`#include <escape.h>`

Inheritance diagram for osl::rating::FromEffectGroup:

## Public Member Functions

| FromEffectGroup ()
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move move, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 13 of file group/escape.h.

## Constructor & Destructor Documentation

## FromEffectGroup()

osl::rating::FromEffectGroup::FromEffectGroup | ( |  | ) |

Definition at line 5 of file escape.cc.

References osl::rating::Group::Group().

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::FromEffectGroup::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 29 of file group/escape.h.

## findMatch()

int osl::rating::FromEffectGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

inline virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 21 of file group/escape.h.

References osl::Move::from(), osl::rating::CountEffect2::index(), osl::Move::isDrop(), osl::rating::RatingEnv::progress, and osl::progress::ProgressN< N >::value().

## show()

void osl::rating::FromEffectGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 16 of file group/escape.h.

References osl::rating::Group::showTopN().

The documentation for this struct was generated from the following files:

- group/escape.h
- escape.cc